summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2006-05-07 18:20:45 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2006-05-07 18:20:45 +0000
commit8824a8351c1f868f15601a98332c35c8b37bc00b (patch)
tree8af3db47852505e47d8414e4d2bd70092df32c2b /eclass/kde-functions.eclass
parentVersion bump (diff)
downloadgentoo-2-8824a8351c1f868f15601a98332c35c8b37bc00b.tar.gz
gentoo-2-8824a8351c1f868f15601a98332c35c8b37bc00b.tar.bz2
gentoo-2-8824a8351c1f868f15601a98332c35c8b37bc00b.zip
Add global kbuildsycoca creation after installing/removing KDE packages (~arch only for now).
Diffstat (limited to 'eclass/kde-functions.eclass')
-rw-r--r--eclass/kde-functions.eclass10
1 files changed, 9 insertions, 1 deletions
diff --git a/eclass/kde-functions.eclass b/eclass/kde-functions.eclass
index 5cf8b7d1c793..347434767ac7 100644
--- a/eclass/kde-functions.eclass
+++ b/eclass/kde-functions.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde-functions.eclass,v 1.134 2006/03/06 13:55:29 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-functions.eclass,v 1.135 2006/05/07 18:20:45 flameeyes Exp $
#
# Author Dan Armak <danarmak@gentoo.org>
#
@@ -935,6 +935,14 @@ kde_remove_flag() {
}
+buildsycoca() {
+ if [[ -x ${KDEDIR}/bin/kbuildsycoca ]] && [[ -z ${ROOT} || ${ROOT} == "/" ]] && has "~${ARCH}" "${ACCEPT_KEYWORDS}"; then
+ ebegin "Running kbuildsycoca to build global database"
+ ${KDEDIR}/bin/kbuildsycoca --global --noincremental &> /dev/null
+ eend $?
+ fi
+}
+
# is this a kde-base ebuid?
if [ "${CATEGORY}" == "kde-base" ]; then
debug-print "${ECLASS}: KDEBASE ebuild recognized"